# NOTE: Derived from blib/lib/File/Edit.pm.
# Changes made here will be lost when autosplit is run again.
# See AutoSplit.pm.
package File::Edit;

#line 219 "blib/lib/File/Edit.pm (autosplit into blib/lib/auto/File/Edit/deleteline.al)"
# delete the FIRST line where regexp matches and returns it.
# delete the line LineNr and returns it.
sub deleteline {
    my ($self, $regexp) = @_;
    my $retval;
    $self->_edit_open();
    if ($regexp =~ /^\d+$/) {     # Delete line by number
        my $linenr;
        foreach (<SOURCE>) {
            $linenr++;
            if ($regexp == $linenr) {
                $retval = $_;
                next;
            }
            print DRAIN $_;
        }
        $self->_edit_close();
        return $retval;
    } else {                    # Delete line by regexp
        foreach (<SOURCE>) {
            if ($_ =~ /$regexp/g) {
                $retval = $_; 
                next;
            }
            print DRAIN $_;
        }
        $self->_edit_close();
        return $retval;
    }
}

# end of File::Edit::deleteline
1;
